$:.unshift( "lib" )
require "graphviz/constants"
require "rubygems"
require "rake"

PKG_NAME = %q{ruby-graphviz}
PKG_VERS = Constants::RGV_VERSION
PKG_DATE = Constants::RGV_DATE

PKG_FILES = %w(ChangeLog COPYING README AUTHORS setup.rb) +
 	      Dir.glob("{bin,doc,test,lib,extras}/**/*") +
 	      Dir.glob("ext/**/*.{h,c,rb}")

Gem::Specification.new do |s|
  s.name = PKG_NAME
  s.version = PKG_VERS
  s.date = PKG_DATE
  s.platform = Gem::Platform::RUBY
  
  s.authors = ["Gregoire Lejeune"]
  s.summary = %q{Interface to the GraphViz graphing tool}
  s.email = %q{gregoire.lejeune@free.fr}
  s.homepage = %q{http://raa.ruby-lang.org/project/ruby-graphviz/}
  s.description = %q{Ruby/Graphviz provides an interface to layout and generate images of directed graphs in a variety of formats (PostScript, PNG, etc.) using GraphViz.}

  s.files = PKG_FILES
  s.require_path = "lib"
  s.extensions = FileList["ext/**/extconf.rb"].to_a
  s.bindir = "bin"
  
  s.has_rdoc = true
  s.extra_rdoc_files = ["README", "ChangeLog", "COPYING", "AUTHORS"]
  s.rdoc_options = ["--title", "Ruby/GraphViz", "--main", "README", "--line-numbers"]
end
